package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.RobotOpsPlayPlan;
import com.ruoyi.base.domain.RobotOpsPlayPlanItem;
import org.apache.ibatis.annotations.Param;

/**
 * 播放方案Mapper接口
 *
 * @author ruoyi
 * @date 2026-05-11
 */
public interface RobotOpsPlayPlanMapper
{
    /**
     * 查询播放方案
     *
     * @param id 播放方案主键
     * @return 播放方案
     */
    public RobotOpsPlayPlan selectRobotOpsPlayPlanById(Long id);

    /**
     * 查询播放方案列表
     *
     * @param robotOpsPlayPlan 播放方案
     * @return 播放方案集合
     */
    public List<RobotOpsPlayPlan> selectRobotOpsPlayPlanList(RobotOpsPlayPlan robotOpsPlayPlan);

    /**
     * 新增播放方案
     *
     * @param robotOpsPlayPlan 播放方案
     * @return 结果
     */
    public int insertRobotOpsPlayPlan(RobotOpsPlayPlan robotOpsPlayPlan);

    /**
     * 修改播放方案
     *
     * @param robotOpsPlayPlan 播放方案
     * @return 结果
     */
    public int updateRobotOpsPlayPlan(RobotOpsPlayPlan robotOpsPlayPlan);

    /**
     * 删除播放方案
     *
     * @param id 播放方案主键
     * @return 结果
     */
    public int deleteRobotOpsPlayPlanById(Long id);

    /**
     * 批量删除播放方案
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRobotOpsPlayPlanByIds(Long[] ids);

    /**
     * 批量删除播放方案素材明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRobotOpsPlayPlanItemByPlanIds(Long[] ids);

    /**
     * 批量新增播放方案素材明细
     *
     * @param robotOpsPlayPlanItemList 播放方案素材明细列表
     * @return 结果
     */
    public int batchRobotOpsPlayPlanItem(List<RobotOpsPlayPlanItem> robotOpsPlayPlanItemList);


    /**
     * 通过播放方案主键删除播放方案素材明细信息
     *
     * @param id 播放方案ID
     * @return 结果
     */
    public int deleteRobotOpsPlayPlanItemByPlanId(Long id);


    /**
     * 查询当前正在播放的方案
     *
     * @return 播放方案
     */
    public RobotOpsPlayPlan selectCurrentPlayingPlan();

    /**
     * 根据方案ID查询素材明细列表
     *
     * @param planId 播放方案ID
     * @return 素材明细列表
     */
    public List<RobotOpsPlayPlanItem> selectRobotOpsPlayPlanItemListByPlanId(Long planId);

    /**
     * 更新播放方案状态
     *
     * @param id 播放方案ID
     * @param status 状态
     * @return 结果
     */
    public int updatePlayPlanStatus(@Param("id") Long id, @Param("status") String status);

}
